---
title: CSS Backgrounds and Borders
slug: Web/CSS/CSS_Backgrounds_and_Borders
tags:
  - CSS
  - CSS Backgrounds and Borders
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p>Styles in the <strong>CSS Backgrounds and Borders</strong> module allow filling backgrounds with color or an image (clipped or resized), or modifying them in other ways. These styles can also decorate borders with lines or images, and make them square or rounded. (Additionally, element boxes can be decorated with a shadow.)</p>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_Properties">CSS Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("background")}}</li>
 <li>{{cssxref("background-attachment")}}</li>
 <li>{{cssxref("background-clip")}}</li>
 <li>{{cssxref("background-color")}}</li>
 <li>{{cssxref("background-image")}}</li>
 <li>{{cssxref("background-origin")}}</li>
 <li>{{cssxref("background-position")}}</li>
 <li>{{cssxref("background-position-x")}}</li>
 <li>{{cssxref("background-position-y")}}</li>
 <li>{{cssxref("background-repeat")}}</li>
 <li>{{cssxref("background-size")}}</li>
 <li>{{cssxref("border")}}</li>
 <li>{{cssxref("border-bottom")}}</li>
 <li>{{cssxref("border-bottom-color")}}</li>
 <li>{{cssxref("border-bottom-left-radius")}}</li>
 <li>{{cssxref("border-bottom-right-radius")}}</li>
 <li>{{cssxref("border-bottom-style")}}</li>
 <li>{{cssxref("border-bottom-width")}}</li>
 <li>{{cssxref("border-collapse")}}</li>
 <li>{{cssxref("border-color")}}</li>
 <li>{{cssxref("border-image")}}</li>
 <li>{{cssxref("border-image-outset")}}</li>
 <li>{{cssxref("border-image-repeat")}}</li>
 <li>{{cssxref("border-image-slice")}}</li>
 <li>{{cssxref("border-image-source")}}</li>
 <li>{{cssxref("border-image-width")}}</li>
 <li>{{cssxref("border-left")}}</li>
 <li>{{cssxref("border-left-color")}}</li>
 <li>{{cssxref("border-left-style")}}</li>
 <li>{{cssxref("border-left-width")}}</li>
 <li>{{cssxref("border-radius")}}</li>
 <li>{{cssxref("border-right")}}</li>
 <li>{{cssxref("border-right-color")}}</li>
 <li>{{cssxref("border-right-style")}}</li>
 <li>{{cssxref("border-right-width")}}</li>
 <li>{{cssxref("border-style")}}</li>
 <li>{{cssxref("border-top")}}</li>
 <li>{{cssxref("border-top-color")}}</li>
 <li>{{cssxref("border-top-left-radius")}}</li>
 <li>{{cssxref("border-top-right-radius")}}</li>
 <li>{{cssxref("border-top-style")}}</li>
 <li>{{cssxref("border-top-width")}}</li>
 <li>{{cssxref("border-width")}}</li>
 <li>{{cssxref("box-shadow")}}</li>
</ul>
</div>

<h2 id="Tools">Tools</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Backgrounds_and_Borders/Using_multiple_backgrounds">Using multiple backgrounds</a></dt>
 <dd>Explains how to set one or more backgrounds on an element.</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Backgrounds_and_Borders/Scaling_background_images">Scaling background images</a></dt>
 <dd>Describes how to change the size and repeating behavior of background images.</dd>
 <dt><a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a></dt>
 <dd>An overview of how CSS color can be used in HTML, including for borders.</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Background_and_Borders/Border-image_generator">Border-image generator</a></dt>
 <dd>This interactive tool lets you visually create border images (the {{cssxref("border-image")}} property).</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Background_and_Borders/Border-radius_generator">Border-radius generator</a></dt>
 <dd>This interactive tool lets you visually create rounded corners (the {{cssxref("border-radius")}} property).</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Box_Model/Box-shadow_generator">Box-shadow generator</a></dt>
 <dd>This interactive tool lets you visually create shadows behind elements (the {{cssxref("box-shadow")}} property).</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Backgrounds') }}</td>
   <td>{{ Spec2('CSS3 Backgrounds') }}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'box.html')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#border')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>
